Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 78526 - ver 2.3.3-3 improperly prompts for root passwd on upgrade
ver 2.3.3-3 improperly prompts for root passwd on upgrade
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-25 02:00 EST by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-25 02:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample which provoked the error state (709 bytes, text/plain)
2002-11-25 02:02 EST, R P Herrold
no flags Details

  None (edit)
Description R P Herrold 2002-11-25 02:00:34 EST
Title says it all

In setting up a minimal _upgrade_ ks.cfg file, the logic improperly prompts for
a root password.  By definition, the root password is already set in an upgrade
context.

Solution: omit this logic branch when upgrade is selected.
Comment 1 R P Herrold 2002-11-25 02:02:18 EST
Created attachment 86267 [details]
sample which provoked the error state
Comment 2 Brent Fox 2002-11-26 11:08:54 EST
Should be fixed in redhat-config-kickstart-2.3.4-1, which should appear in
Rawhide in the next day or so.  The message about the root password will no
longer appear if you're doing an upgrade.  However, the line will still be
written to the file.  Anaconda expects certain lines to be there, although they
are ignored in the upgrade case.  At least, that's what katzj tells me.

However, I make no claims about the stablility of this version.  I have added
lots of new code to handle opening existing kickstart files and also handling
multiple network devices.  This code is untested and probably has bugs.  Feel
free to check it out, though.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.